Get a specific monitor by ID.
curl --request GET \
--url https://api.parallellabs.app/api/v0/monitors/{monitor_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/monitors/{monitor_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monitor": {
"aiFilterEnabled": true,
"companyId": "<string>",
"created_date": "<string>",
"filters": {},
"id": "<string>",
"keywords": [
"<string>"
],
"lastRunAt": "<string>",
"name": "<string>",
"notifyEmail": true,
"notifyInApp": true,
"notifyUserIds": [
"<string>"
],
"platforms": [
"<string>"
],
"status": "<string>",
"syncToListId": "<string>",
"totalMentionsFound": 123,
"updated_date": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Monitors
Get a specific monitor by ID.
Returns the full configuration for a keyword monitor including its keywords, platforms, notification settings, and run statistics.
GET
/
api
/
v0
/
monitors
/
{monitor_id}
Get a specific monitor by ID.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
Monitor details
Single monitor response
The monitor object
Show child attributes
Show child attributes
⌘I

